
import nose
import random

def random_test_case_generator(test_cases):
    """
    This function takes a list of test cases and randomly selects one to execute.
    It uses the nose library to run the selected test case.
    """
    selected_test_case = random.choice(test_cases)
    nose.run(selected_test_case)

# Example usage
if __name__ == "__main__":
    test_cases = [
        "test_module.test_case1",
        "test_module.test_case2",
        "test_module.test_case3"
    ]
    random_test_case_generator(test_cases)


